- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# QPrintEngine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qprintengine.h.

`#include <qprintengine.h>`

List of all members.

## Public Types
enum | PrintEnginePropertyKey { PPK_CollateCopies, PPK_ColorMode, PPK_Creator, PPK_DocumentName, PPK_FullPage, PPK_NumberOfCopies, PPK_Orientation, PPK_OutputFileName, PPK_PageOrder, PPK_PageRect, PPK_PageSize, PPK_PaperRect, PPK_PaperSource, PPK_PrinterName, PPK_PrinterProgram, PPK_Resolution, PPK_SelectionOption, PPK_SupportedResolutions, PPK_WindowsPageSize, PPK_FontEmbedding, PPK_SuppressSystemPrintStatus, PPK_Duplex, PPK_PaperSources, PPK_CustomPaperSize, PPK_PageMargins, PPK_CopyCount, PPK_SupportsMultipleCopies, PPK_PaperSize = PPK_PageSize, PPK_CustomBase = 0xff00 }
## Public Member Functions
virtual | ~QPrintEngine ()
virtual void | setProperty (PrintEnginePropertyKey key, const QVariant &value)=0
virtual QVariant | property (PrintEnginePropertyKey key) const =0
virtual bool | newPage ()=0
virtual bool | abort ()=0
virtual int | metric (QPaintDevice::PaintDeviceMetric) const =0
virtual QPrinter::PrinterState | printerState () const =0

## Member Enumeration Documentation

enum PrintEnginePropertyKey

Search for all occurrences

Enumerator:

  PPK_CollateCopies | Search for all occurrences
  PPK_ColorMode | Search for all occurrences
  PPK_Creator | Search for all occurrences
  PPK_DocumentName | Search for all occurrences
  PPK_FullPage | Search for all occurrences
  PPK_NumberOfCopies | Search for all occurrences
  PPK_Orientation | Search for all occurrences
  PPK_OutputFileName | Search for all occurrences
  PPK_PageOrder | Search for all occurrences
  PPK_PageRect | Search for all occurrences
  PPK_PageSize | Search for all occurrences
  PPK_PaperRect | Search for all occurrences
  PPK_PaperSource | Search for all occurrences
  PPK_PrinterName | Search for all occurrences
  PPK_PrinterProgram | Search for all occurrences
  PPK_Resolution | Search for all occurrences
  PPK_SelectionOption | Search for all occurrences
  PPK_SupportedResolutions | Search for all occurrences
  PPK_WindowsPageSize | Search for all occurrences
  PPK_FontEmbedding | Search for all occurrences
  PPK_SuppressSystemPrintStatus | Search for all occurrences
  PPK_Duplex | Search for all occurrences
  PPK_PaperSources | Search for all occurrences
  PPK_CustomPaperSize | Search for all occurrences
  PPK_PageMargins | Search for all occurrences
  PPK_CopyCount | Search for all occurrences
  PPK_SupportsMultipleCopies | Search for all occurrences
  PPK_PaperSize | Search for all occurrences
  PPK_CustomBase | Search for all occurrences

Definition at line 60 of file qprintengine.h.

                                    {
            PPK_CollateCopies,
            PPK_ColorMode,
            PPK_Creator,
            PPK_DocumentName,
            PPK_FullPage,
            PPK_NumberOfCopies,
            PPK_Orientation,
            PPK_OutputFileName,
            PPK_PageOrder,
            PPK_PageRect,
            PPK_PageSize,
            PPK_PaperRect,
            PPK_PaperSource,
            PPK_PrinterName,
            PPK_PrinterProgram,
            PPK_Resolution,
            PPK_SelectionOption,
            PPK_SupportedResolutions,

            PPK_WindowsPageSize,
            PPK_FontEmbedding,
            PPK_SuppressSystemPrintStatus,

            PPK_Duplex,

            PPK_PaperSources,
            PPK_CustomPaperSize,
            PPK_PageMargins,
            PPK_CopyCount,
            PPK_SupportsMultipleCopies,
            PPK_PaperSize = PPK_PageSize,

            PPK_CustomBase = 0xff00
        };

## Constructor & Destructor Documentation

virtual ~QPrintEngine | ( |  | ) | `[inline, virtual]`

Definition at line 59 of file qprintengine.h.

    {}

## Member Function Documentation

virtual void setProperty | ( | PrintEnginePropertyKey | key,
|  | const QVariant & | value
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QVariant property | ( | PrintEnginePropertyKey | key | ) | const `[pure virtual]`

Search for all occurrences

virtual bool newPage | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual bool abort | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int metric | ( | QPaintDevice::PaintDeviceMetric |  | ) | const `[pure virtual]`

Search for all occurrences

virtual QPrinter::PrinterState printerState | ( |  | ) | const `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qprintengine.h

QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine
QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine QPrintEngine